package com.dky.utils.entity;

public class DevSpec {

    /** 序号 */
    private Long id ;
    /** 设备类型 */
    private String deviceType ;
    /** 设备细类 */
    private String deviceSubType ;
    /** 技术类型 */
    private String technologyType ;
    /** 设备功率（kW） */
    private Double devicePower ;
    /** 设备加热方式 */
    private String heatingMethod ;
    /** 热效率 */
    private String heatingEffciency ;
    /** 设备单价（万元） */
    private Double devicePrice ;
    /** 设备操作人数 */
    private Integer deviceOperators ;
    /** 电替代设备年人工费用（万元） */
    private Double artificialCost ;
    /** 原设备的人工费用（万元） */
    private Double laborCost ;
    /** 设备使用年限（年） */
    private Integer deviceLife ;
    /** 设备年运行时长（小时） */
    private Integer deviceRunHours ;
    /** 单台电设备参考的可供暖面积（平方米） */
    private Double heatingArea ;
    /** 单台电设备制造一批产品的周期（小时） */
    private Integer manufacturingCycle ;
    /** 工作容积（立方米） */
    private Double workingVolume ;
    /** 产品的密度 */
    private String productDensity ;
    /** 单台电设备制造一批产品的产量 */
    private String productQuality ;
    /** 备注 */
    private String remarkInfo ;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceSubType() {
        return deviceSubType;
    }

    public void setDeviceSubType(String deviceSubType) {
        this.deviceSubType = deviceSubType;
    }

    public String getTechnologyType() {
        return technologyType;
    }

    public void setTechnologyType(String technologyType) {
        this.technologyType = technologyType;
    }

    public Double getDevicePower() {
        return devicePower;
    }

    public void setDevicePower(Double devicePower) {
        this.devicePower = devicePower;
    }

    public String getHeatingMethod() {
        return heatingMethod;
    }

    public void setHeatingMethod(String heatingMethod) {
        this.heatingMethod = heatingMethod;
    }

    public String getHeatingEffciency() {
        return heatingEffciency;
    }

    public void setHeatingEffciency(String heatingEffciency) {
        this.heatingEffciency = heatingEffciency;
    }

    public Double getDevicePrice() {
        return devicePrice;
    }

    public void setDevicePrice(Double devicePrice) {
        this.devicePrice = devicePrice;
    }

    public Integer getDeviceOperators() {
        return deviceOperators;
    }

    public void setDeviceOperators(Integer deviceOperators) {
        this.deviceOperators = deviceOperators;
    }

    public Double getArtificialCost() {
        return artificialCost;
    }

    public void setArtificialCost(Double artificialCost) {
        this.artificialCost = artificialCost;
    }

    public Double getLaborCost() {
        return laborCost;
    }

    public void setLaborCost(Double laborCost) {
        this.laborCost = laborCost;
    }

    public Integer getDeviceLife() {
        return deviceLife;
    }

    public void setDeviceLife(Integer deviceLife) {
        this.deviceLife = deviceLife;
    }

    public Integer getDeviceRunHours() {
        return deviceRunHours;
    }

    public void setDeviceRunHours(Integer deviceRunHours) {
        this.deviceRunHours = deviceRunHours;
    }

    public Double getHeatingArea() {
        return heatingArea;
    }

    public void setHeatingArea(Double heatingArea) {
        this.heatingArea = heatingArea;
    }

    public Integer getManufacturingCycle() {
        return manufacturingCycle;
    }

    public void setManufacturingCycle(Integer manufacturingCycle) {
        this.manufacturingCycle = manufacturingCycle;
    }

    public Double getWorkingVolume() {
        return workingVolume;
    }

    public void setWorkingVolume(Double workingVolume) {
        this.workingVolume = workingVolume;
    }

    public String getProductDensity() {
        return productDensity;
    }

    public void setProductDensity(String productDensity) {
        this.productDensity = productDensity;
    }

    public String getProductQuality() {
        return productQuality;
    }

    public void setProductQuality(String productQuality) {
        this.productQuality = productQuality;
    }

    public String getRemarkInfo() {
        return remarkInfo;
    }

    public void setRemarkInfo(String remarkInfo) {
        this.remarkInfo = remarkInfo;
    }
}
